summaryrefslogtreecommitdiff
path: root/apply_patches.sh
diff options
context:
space:
mode:
Diffstat (limited to 'apply_patches.sh')
-rwxr-xr-xapply_patches.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/apply_patches.sh b/apply_patches.sh
new file mode 100755
index 0000000..78bad34
--- /dev/null
+++ b/apply_patches.sh
@@ -0,0 +1,25 @@
+#!/bin/bash
+
+if [[ ! -d 'monero' ]]
+then
+ echo "no 'monero' directory found. clone with --recursive or run:"
+ echo "$ git submodule init && git submodule update --force";
+ exit 1
+fi
+
+if [[ -f "monero/.patch-applied" ]];
+then
+ echo "monero/.patch-applied file exist. manual investigation recommended."
+ exit 0
+fi
+
+cd monero
+git apply ../patches/* --index
+git submodule init
+git submodule update --force
+touch .patch-applied
+git add .
+git config user.email "you@example.com"
+git config user.name "Your Name"
+git commit -m 'patch applied' # fatal: path 'external/polyseed' exists on disk, but not in 'HEAD'
+echo "you are good to go!" \ No newline at end of file